Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLInputElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLInputElementImpl

public final class HTMLInputElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLInputElement, HTMLFormControl

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:10 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLInputElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLInputElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()`
`void` | `click()`
`void` | `focus()`
`java.lang.String` | `getAccept()`
`java.lang.String` | `getAccessKey()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getAlt()`
`boolean` | `getChecked()`
`boolean` | `getDefaultChecked()`
`java.lang.String` | `getDefaultValue()`
`boolean` | `getDisabled()`
`int` | `getMaxLength()`
`java.lang.String` | `getName()`
`boolean` | `getReadOnly()`
`java.lang.String` | `getSize()`
`java.lang.String` | `getSrc()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getUseMap()`
`java.lang.String` | `getValue()`
`void` | `select()`
`void` | `setAccept(java.lang.String accept)`
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setChecked(boolean checked)`
`void` | `setDefaultChecked(boolean defaultChecked)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMaxLength(int maxLength)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setSize(java.lang.String size)`
`void` | `setSrc(java.lang.String src)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLInputElementImpl

    public HTMLInputElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Specified by:
    getDefaultValue in interface org.w3c.dom.html.HTMLInputElement

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    setDefaultValue in interface org.w3c.dom.html.HTMLInputElement

### getDefaultChecked

    public boolean getDefaultChecked()

  Specified by:
    getDefaultChecked in interface org.w3c.dom.html.HTMLInputElement

### setDefaultChecked

    public void setDefaultChecked(boolean defaultChecked)

  Specified by:
    setDefaultChecked in interface org.w3c.dom.html.HTMLInputElement

### getAccept

    public java.lang.String getAccept()

  Specified by:
    getAccept in interface org.w3c.dom.html.HTMLInputElement

### setAccept

    public void setAccept(java.lang.String accept)

  Specified by:
    setAccept in interface org.w3c.dom.html.HTMLInputElement

### getAccessKey

    public java.lang.String getAccessKey()

  Specified by:
    getAccessKey in interface org.w3c.dom.html.HTMLInputElement

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    setAccessKey in interface org.w3c.dom.html.HTMLInputElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLInputElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLInputElement

### getAlt

    public java.lang.String getAlt()

  Specified by:
    getAlt in interface org.w3c.dom.html.HTMLInputElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface org.w3c.dom.html.HTMLInputElement

### getChecked

    public boolean getChecked()

  Specified by:
    getChecked in interface org.w3c.dom.html.HTMLInputElement

### setChecked

    public void setChecked(boolean checked)

  Specified by:
    setChecked in interface org.w3c.dom.html.HTMLInputElement

### getDisabled

    public boolean getDisabled()

  Specified by:
    getDisabled in interface org.w3c.dom.html.HTMLInputElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface org.w3c.dom.html.HTMLInputElement

### getMaxLength

    public int getMaxLength()

  Specified by:
    getMaxLength in interface org.w3c.dom.html.HTMLInputElement

### setMaxLength

    public void setMaxLength(int maxLength)

  Specified by:
    setMaxLength in interface org.w3c.dom.html.HTMLInputElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface org.w3c.dom.html.HTMLInputElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface org.w3c.dom.html.HTMLInputElement

### getReadOnly

    public boolean getReadOnly()

  Specified by:
    getReadOnly in interface org.w3c.dom.html.HTMLInputElement

  Overrides:
    getReadOnly in class NodeImpl

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    setReadOnly in interface org.w3c.dom.html.HTMLInputElement

### getSize

    public java.lang.String getSize()

  Specified by:
    getSize in interface org.w3c.dom.html.HTMLInputElement

### setSize

    public void setSize(java.lang.String size)

  Specified by:
    setSize in interface org.w3c.dom.html.HTMLInputElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLInputElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLInputElement

### getTabIndex

    public int getTabIndex()

  Specified by:
    getTabIndex in interface org.w3c.dom.html.HTMLInputElement

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    setTabIndex in interface org.w3c.dom.html.HTMLInputElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLInputElement

### getUseMap

    public java.lang.String getUseMap()

  Specified by:
    getUseMap in interface org.w3c.dom.html.HTMLInputElement

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    setUseMap in interface org.w3c.dom.html.HTMLInputElement

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface org.w3c.dom.html.HTMLInputElement

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    setValue in interface org.w3c.dom.html.HTMLInputElement

### blur

    public void blur()

  Specified by:
    blur in interface org.w3c.dom.html.HTMLInputElement

### focus

    public void focus()

  Specified by:
    focus in interface org.w3c.dom.html.HTMLInputElement

### select

    public void select()

  Specified by:
    select in interface org.w3c.dom.html.HTMLInputElement

### click

    public void click()

  Specified by:
    click in interface org.w3c.dom.html.HTMLInputElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD